
//SEPRONA

singleton Material("roamer.skin.seprona")
  {
   mapTo = "roamer.skin.seprona";
   overlayMap[2] = "vehicles/roamer/SEP/seprona/roamer_skin_seprona.dds";
   diffuseMap[2] = "vehicles/roamer/roamer_c.dds";
   specularMap[2] = "vehicles/roamer/roamer_s.dds";
   normalMap[2] = "vehicles/roamer/roamer_n.dds";
   diffuseMap[1] = "vehicles/roamer/roamer_d.dds";
   specularMap[1] = "vehicles/roamer/roamer_s.dds";
   normalMap[1] = "vehicles/roamer/roamer_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/roamer/roamer_n.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   specularPower[2] = "128";
   pixelSpecular[2] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   };
   
   singleton Material("roamer_gauges.skin.seprona")
{
    mapTo = "roamer_gauges.skin.seprona";
    diffuseMap[0] = "vehicles/roamer/sep/common/roamer_gauges_d_euro.dds";
    specularMap[0] = "vehicles/roamer/sep/common/roamer_gauges_s_euro.dds";
    normalMap[0] = "vehicles/roamer/sep/common/roamer_gauges_n_euro.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material("roamer_gauges_on.skin.seprona")
{
    mapTo = "roamer_gauges_on.skin.seprona";
    diffuseMap[1] = "vehicles/roamer/sep/common/roamer_gauges_d_euro.dds";
    specularMap[1] = "vehicles/roamer/sep/common/roamer_gauges_s_euro.dds";
    normalMap[1] = "vehicles/roamer/sep/common/roamer_gauges_n_euro.dds";
    diffuseMap[0] = "vehicles/roamer/sep/common/roamer_gauges_d_euro.dds";
    specularMap[0] = "vehicles/roamer/sep/common/roamer_gauges_s_euro.dds";
    normalMap[0] = "vehicles/roamer/sep/common/roamer_gauges_n_euro.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "3 1 0 0.6";
};

singleton Material("roamer_glass.skin.seprona")
{
    mapTo = "roamer_glass.skin.seprona";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/roamer/sep/common/roamer_glass_gc.dds";
    opacityMap[0] = "vehicles/roamer/sep/common/roamer_glass_gc.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/roamer/sep/common/roamer_glass_da_gc.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

/////Guardia Civil

singleton Material("roamer.skin.gc")
  {
   mapTo = "roamer.skin.gc";
   overlayMap[2] = "vehicles/roamer/SEP/gc/roamer_skin_gc.dds";
   diffuseMap[2] = "vehicles/roamer/roamer_c.dds";
   specularMap[2] = "vehicles/roamer/roamer_s.dds";
   normalMap[2] = "vehicles/roamer/roamer_n.dds";
   diffuseMap[1] = "vehicles/roamer/roamer_d.dds";
   specularMap[1] = "vehicles/roamer/roamer_s.dds";
   normalMap[1] = "vehicles/roamer/roamer_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/roamer/roamer_n.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   specularPower[2] = "128";
   pixelSpecular[2] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   };
   
   singleton Material("roamer_gauges.skin.gc")
{
    mapTo = "roamer_gauges.skin.gc";
    diffuseMap[0] = "vehicles/roamer/sep/common/roamer_gauges_d_euro.dds";
    specularMap[0] = "vehicles/roamer/sep/common/roamer_gauges_s_euro.dds";
    normalMap[0] = "vehicles/roamer/sep/common/roamer_gauges_n_euro.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material("roamer_gauges_on.skin.gc")
{
    mapTo = "roamer_gauges_on.skin.gc";
    diffuseMap[1] = "vehicles/roamer/sep/common/roamer_gauges_d_euro.dds";
    specularMap[1] = "vehicles/roamer/sep/common/roamer_gauges_s_euro.dds";
    normalMap[1] = "vehicles/roamer/sep/common/roamer_gauges_n_euro.dds";
    diffuseMap[0] = "vehicles/roamer/sep/common/roamer_gauges_d_euro.dds";
    specularMap[0] = "vehicles/roamer/sep/common/roamer_gauges_s_euro.dds";
    normalMap[0] = "vehicles/roamer/sep/common/roamer_gauges_n_euro.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "3 1 0 0.6";
};

singleton Material("roamer_glass.skin.gc")
{
    mapTo = "roamer_glass.skin.gc";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/roamer/sep/common/roamer_glass_gc.dds";
    opacityMap[0] = "vehicles/roamer/sep/common/roamer_glass_gc.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/roamer/sep/common/roamer_glass_da_gc.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


//Bomberos de Asturias

singleton Material("roamer.skin.bomberosas")
{
    mapTo = "roamer.skin.bomberosas";
    colorPaletteMap[2] = "vehicles/roamer/sep/bomberosas/roamer_skin_bomberosas_uv1.dds";
    diffuseMap[2] = "vehicles/roamer/roamer_c_alt.dds";
    specularMap[2] = "vehicles/roamer/roamer_s_alt.dds";
    normalMap[2] = "vehicles/roamer/roamer_n.dds";
    diffuseMap[1] = "vehicles/roamer/roamer_d_alt.dds";
    specularMap[1] = "vehicles/roamer/roamer_s_alt.dds";
    normalMap[1] = "vehicles/roamer/roamer_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/roamer/roamer_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
   
   singleton Material("roamer_gauges.skin.bomberosas")
{
    mapTo = "roamer_gauges.skin.bomberosas";
    diffuseMap[0] = "vehicles/roamer/sep/common/roamer_gauges_d_euro.dds";
    specularMap[0] = "vehicles/roamer/sep/common/roamer_gauges_s_euro.dds";
    normalMap[0] = "vehicles/roamer/sep/common/roamer_gauges_n_euro.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material("roamer_gauges_on.skin.bomberosas")
{
    mapTo = "roamer_gauges_on.skin.bomberosas";
    diffuseMap[1] = "vehicles/roamer/sep/common/roamer_gauges_d_euro.dds";
    specularMap[1] = "vehicles/roamer/sep/common/roamer_gauges_s_euro.dds";
    normalMap[1] = "vehicles/roamer/sep/common/roamer_gauges_n_euro.dds";
    diffuseMap[0] = "vehicles/roamer/sep/common/roamer_gauges_d_euro.dds";
    specularMap[0] = "vehicles/roamer/sep/common/roamer_gauges_s_euro.dds";
    normalMap[0] = "vehicles/roamer/sep/common/roamer_gauges_n_euro.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "3 1 0 0.6";
};